Bug 196642 - [PATCH] lang/pcc: Update to v1.1.0
Summary: [PATCH] lang/pcc: Update to v1.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-12 18:27 UTC by lightside
Modified: 2016-06-13 19:55 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments
The devel/pcc-libs port in shar format (1.92 KB, text/plain)
2015-01-13 09:04 UTC, lightside
lightside: maintainer-approval? (joel)
Details
Proposed patch (since 363374 revision) (9.75 KB, patch)
2015-01-13 09:05 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10 amd64): devel/pcc-libs (3.40 KB, application/x-zip-compressed)
2015-01-13 09:05 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64): lang/pcc (5.14 KB, application/x-zip-compressed)
2015-01-13 09:06 UTC, lightside
no flags Details
Proposed patch (since 363374 revision) (9.74 KB, patch)
2015-04-28 11:49 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10 amd64): devel/pcc-libs (18.47 KB, text/plain)
2015-04-28 11:51 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64): lang/pcc (38.78 KB, text/plain)
2015-04-28 11:51 UTC, lightside
no flags Details
Proposed patch (since 395322 revision) (9.76 KB, patch)
2016-02-08 06:42 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64): devel/pcc-libs (18.75 KB, text/plain)
2016-02-08 06:43 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64): lang/pcc (39.88 KB, text/plain)
2016-02-08 06:44 UTC, lightside
no flags Details
Proposed patch (since 395322 revision) (9.75 KB, patch)
2016-04-03 06:32 UTC, lightside
lightside: maintainer-approval? (joel)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2015-01-12 18:27:04 UTC
Patch to update lang/pcc port from 1.0.0 to 1.1.0 version.

- Add RUN_DEPENDS on devel/pcc-libs port on the same version
- Adapt PLIST_FILES
- Add THREADS option to "Enable Thread-local storage (TLS)"
- Add new patch for ${WRKSRC}/cc/cc/cc.c file, related to inverted
MULTIARCH_PATH define check
- Replace some static patches with sed patches
- Remove unneeded patches for this version

I enabled THREADS option by default, because there is support for i386 and
amd64 architectures, which listed on ONLY_FOR_ARCHS variable. But there are
source code for other architectures (e.g. arm, sparc64, etc.), which could be
tested by interested people, to expand ONLY_FOR_ARCHS values.
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2015-01-12 18:48:51 UTC
Hi,

Due to an issue with the backend FreeBSD Bugzilla database, your original PR and any updates to it since have been lost.  I've recreated the original PR as best as I can, however any attachments and updates you submitted to the PR have been lost.  Please could you resubmit them?

Thanks, and apologies.
Comment 2 lightside 2015-01-13 09:04:19 UTC
Created attachment 151530 [details]
The devel/pcc-libs port in shar format

New port: devel/pcc-libs
Required for lang/pcc.
Placed to ports@, but current lang/pcc maintainer could get it, because the versions of devel/pcc-libs and lang/pcc need to be synchronized.

Libraries for the Portable C Compiler.

WWW: http://pcc.ludd.ltu.se/
Comment 3 lightside 2015-01-13 09:05:20 UTC
Created attachment 151531 [details]
Proposed patch (since 363374 revision)

It is possible to add license information to the ports. The authors named them as BSD-style licenses (some of them are 2 or 3 -clause licenses, but others without):
http://pcc.ludd.ltu.se/licenses/

There are no standalone license files inside of distfile archives, which could be pointed with LICENSE_FILE(*) variable(s). In this case I propose to use LICENSE_TEXT variable, which points to the authors web site with licenses, e.g.:
LICENSE=	BSDCOMPATIBLE BSD2CLAUSE BSD3CLAUSE
LICENSE_COMB=	multi
LICENSE_NAME_BSDCOMPATIBLE=	BSD-style compatible licenses
LICENSE_TEXT_BSDCOMPATIBLE=	The license: BSDCOMPATIBLE (${LICENSE_NAME_BSDCOMPATIBLE}),\
	please read from the web: http://pcc.ludd.ltu.se/licenses/
LICENSE_PERMS_BSDCOMPATIBLE=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
Comment 4 lightside 2015-01-13 09:05:55 UTC
Created attachment 151532 [details]
The poudriere testport log (FreeBSD 10 amd64): devel/pcc-libs
Comment 5 lightside 2015-01-13 09:06:18 UTC
Created attachment 151533 [details]
The poudriere testport log (FreeBSD 10 amd64): lang/pcc
Comment 6 John Marino freebsd_committer 2015-01-22 11:03:57 UTC
maintainer is also a committer, so assign the PR to him.
Comment 7 lightside 2015-04-28 11:49:26 UTC
Created attachment 156071 [details]
Proposed patch (since 363374 revision)

Adapt a patch in files directory, after ports r383894 changes for ports-mgmt/portlint v2.16.3.
Changed check for runtime dependency from equal (==) to greater or equal (>=).
Comment 8 lightside 2015-04-28 11:51:14 UTC
Created attachment 156072 [details]
The poudriere testport log (FreeBSD 10 amd64): devel/pcc-libs
Comment 9 lightside 2015-04-28 11:51:37 UTC
Created attachment 156073 [details]
The poudriere testport log (FreeBSD 10 amd64): lang/pcc
Comment 10 lightside 2016-02-08 06:42:00 UTC
Created attachment 166730 [details]
Proposed patch (since 395322 revision)

Patch updated after ports r395322 changes.
Comment 11 lightside 2016-02-08 06:43:26 UTC
Created attachment 166731 [details]
The poudriere testport log (FreeBSD 10.2 amd64): devel/pcc-libs
Comment 12 lightside 2016-02-08 06:44:00 UTC
Created attachment 166732 [details]
The poudriere testport log (FreeBSD 10.2 amd64): lang/pcc
Comment 13 lightside 2016-04-03 06:32:56 UTC
Created attachment 168916 [details]
Proposed patch (since 395322 revision)

Patch updated after removal of "${PORTSDIR}/" from dependencies, e.g. in ports r412347.
Comment 14 Kurt Jaeger freebsd_committer 2016-06-12 14:41:18 UTC
PR is in maintainer timeout. PR needs DEPEND new port devel/pcc-libs, which currently has no maintainer. Any volunteers ?
Comment 15 lightside 2016-06-12 16:36:35 UTC
(In reply to Kurt Jaeger from comment #14)
> Any volunteers ?
No, thanks, in my case. This was explained in comment #3.
Comment 16 lightside 2016-06-12 18:46:36 UTC
(In reply to comment #15)
> This was explained in comment #3.
in comment #2.
Comment 17 commit-hook freebsd_committer 2016-06-13 19:31:16 UTC
A commit references this bug:

Author: pi
Date: Mon Jun 13 19:30:56 UTC 2016
New revision: 416863
URL: https://svnweb.freebsd.org/changeset/ports/416863

Log:
  New port: devel/pcc-libs

  Libraries for the Portable C Compiler.

  WWW: http://pcc.ludd.ltu.se/

  In preparation of lang/pcc upgrade...

  PR:		196642
  Submitted by:	Sender Ghost <lightside@gmx.com>
  Approved by:	joel (maintainer lang/pcc)

Changes:
  head/devel/Makefile
  head/devel/pcc-libs/
  head/devel/pcc-libs/Makefile
  head/devel/pcc-libs/distinfo
  head/devel/pcc-libs/pkg-descr
Comment 18 Kurt Jaeger freebsd_committer 2016-06-13 19:44:25 UTC
testbuilds look fine.
Comment 19 commit-hook freebsd_committer 2016-06-13 19:54:19 UTC
A commit references this bug:

Author: pi
Date: Mon Jun 13 19:53:48 UTC 2016
New revision: 416864
URL: https://svnweb.freebsd.org/changeset/ports/416864

Log:
  lang/pcc: 1.0.0 -> 1.1.0

  - Add RUN_DEPENDS on devel/pcc-libs port on the same version
  - Adapt PLIST_FILES
  - Add THREADS option to "Enable Thread-local storage (TLS)"
  - Add new patch for ${WRKSRC}/cc/cc/cc.c file, related to inverted
    MULTIARCH_PATH define check
  - Replace some static patches with sed patches
  - Remove unneeded patches for this version

  PR:		196642
  Submitted by:	Sender Ghost <lightside@gmx.com>
  Approved by:	joel (maintainer)

Changes:
  head/lang/pcc/Makefile
  head/lang/pcc/distinfo
  head/lang/pcc/files/ccconfig.h
  head/lang/pcc/files/f77config.h
  head/lang/pcc/files/patch-cc_cc_cc.c
  head/lang/pcc/files/patch-cccc-Makefile.in
  head/lang/pcc/files/patch-configure
Comment 20 Kurt Jaeger freebsd_committer 2016-06-13 19:55:10 UTC
Committed, thanks again for your patience!